Name:		netrek-client-cow
Version:	3.3.1
Release:	%mkrel 6
Summary:	Netrek client
License:	MIT
Group:		Games/Other
Source0:	http://netrek.org/files/COW/%{name}-%{version}.tar.gz
Source1:	%{name}.6
Patch0:		netrek-client-cow-3.3.1-mga-no-inline.patch
URL:		http://www.netrek.org/

BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL-devel
BuildRequires:	imlib2-devel
BuildRequires:	libxxf86vm-devel
BuildRequires:	gmp-devel


%description
This is a client for the multiplayer game of Netrek, supporting sound,
color bitmaps, and recording and playback of games. The game itself has 
existed since 1988, and had a solid player-base, including some 
people who have been playing for nearly as long as the game has existed.


%prep
%setup -q
%autopatch -p1

%build
# Disable preprocessor line numbers to fix gmp detection
%configure CPPFLAGS=-P
#Package doesn't support concurrent make's yet. Forcing "-j1".
make -j1

%install
%makeinstall
#Remove execute on .desktop file. Reported upstream.
chmod -x %{buildroot}%{_datadir}/applications/%{name}.desktop
install -p -m 0644 %{SOURCE1} -D %{buildroot}/%{_mandir}/man6/%{name}.6

%files
# "COPYING" is a list of authors, and not the GPL license.
%doc CHANGES README.* TODO *.DOC COPYING XTREKRC.example
%doc cow.html index.orig.html newbie.html cow.css stars.gif netrekrc.example
%doc key.cow.linux
%{_gamesbindir}/%{name}
%{_datadir}/pixmaps/%{name}/*
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man6/*.6*



%changelog
* Wed Jan 06 2016 danf <danf> 3.3.1-6.mga6
+ Revision: 919954
- Added no-inline.patch and CPPFLAGS to fix build on gcc 5.3.1

* Wed Oct 15 2014 umeabot <umeabot> 3.3.1-5.mga5
+ Revision: 750070
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.3.1-4.mga5
+ Revision: 682858
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.3.1-3.mga4
+ Revision: 508305
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Mar 01 2012 shlomif <shlomif> 3.3.1-1.mga2
+ Revision: 216531
- imported package netrek-client-cow


* Thu Mar 01 2012 Johnny A. Solbu <solbu@mandriva.org> 3.3.1-1
- Package doesn't support concurrent builds.
- Remove execute perm on desktop file
- Adding manfile, from Debian
- Initial release
